/*
 * jupe.h
 * Copyright (C) 1999 Patrick Alken
 *
 * $Id: jupe.h,v 1.00 1999/08/21 14:07:36 wnder Exp $
 */

#ifdef ALLOW_JUPES

void AddJupe(char *, char *, char *);
void DeleteJupe(Jupe *);

void CheckJupes();
void DoJupeSquit(char *, char *, char *);
int CheckJuped(char *);
Jupe *IsJupe(char *);
void InitJupes();

struct JupeInfo
{
	struct JupeInfo *next, *prev;
	char *name; /* name of juped server/nick */
	char *reason; /* reason it's juped (if server) */
	char *who; /* who made the jupe */
	int isnick; /* 1 if juped nick, 0 if server */
};

#endif /* ALLOW_JUPES */
