/*
 * cmds.h
 * Copyright (C) 1998-1999 Patrick Alken
 */

extern void s_pass(int, char **);
extern void s_ping(int, char **);
extern void s_server(int, char **);
extern void s_nick(int, char **);
extern void s_squit(int, char **);
extern void s_privmsg(int, char **);
extern void s_quit(int, char **);
extern void s_kill(int, char **);
extern void s_kick(int, char **);
extern void s_mode(int, char **);
extern void s_sjoin(int, char **);
extern void s_part(int, char **);
extern void s_error(int, char **);
extern void s_whois(int, char **);
extern void s_trace(int, char **);
extern void s_version(int, char **);
extern void s_motd(int, char **);

#if defined(NICKSERVICES) && defined(CHANNELSERVICES)
extern void s_topic(int, char **);
#endif

#ifdef STATSERVICES
extern void s_pong(int, char **);
#endif

#ifdef SERVTAB

ServCmd servtab[] = {
	{ "PASS", s_pass },
	{ "PING", s_ping },
	{ "SERVER", s_server },
	{ "NICK", s_nick },
	{ "SQUIT", s_squit },
	{ "PRIVMSG", s_privmsg },
/*	{ "NOTICE", s_privmsg }, */
	{ "QUIT", s_quit },
	{ "KILL", s_kill },
	{ "KICK", s_kick },
	{ "MODE", s_mode },
	{ "SJOIN", s_sjoin },
	{ "JOIN", s_sjoin },
	{ "PART", s_part },
	{ "ERROR", s_error },
	{ "WHOIS", s_whois },
	{ "TRACE", s_trace },
	{ "VERSION", s_version },
	{ "MOTD", s_motd },

#if defined(NICKSERVICES) && defined(CHANNELSERVICES)
	{ "TOPIC", s_topic },
#endif

#ifdef STATSERVICES
	{ "PONG", s_pong },
#endif

	{ (char *) 0, (void (*)()) 0 }
};

#else

extern ServCmd servtab[];

#endif /* SERVTAB */
