/*
 * dcc.h
 * Copyright (C) 1999 Patrick Alken
 *
 * $Id: dcc.h,v 1.00 1999/08/21 14:07:36 wnder Exp $
 */

/*
 * Prototypes
 */

void BroadcastDcc(int, char *, ...);
void SendUmode(int, char *, ...);

void SendDccMessage(DccUser *, char *);
void ConnectClient(PortInfo *);
void telnet_greet(DccUser *);
void ExpireIdent(time_t);
void ExpireTelnet(time_t);
void CheckEOF();
void DoBinds();
Userlist *DccGetUser(DccUser *);
int telnet_check(int, char *);
void readauth(DccUser *);
void writeauth(DccUser *);
void set_nonblocking(int);
void SetSocketOptions(int);
int MakeConn(char *, int, Luser *);
void onctcp(char *, char *, char *);
int ConnectToTCM(char *, Botlist *);
void LinkBots();
void AddConn(DccUser *);
void CloseConnection(DccUser *);
void ExecuteDCCCommand(int, int, char *);
Botlist *GoodTCM(DccUser *);
DccUser *GetBot(char *);
DccUser *IsDccSock(int);
DccUser *IsOnDcc(char *);
void DccProcess(DccUser *, char *);
void BotProcess(DccUser *, char *);
void SendMotd(int);
