/*
 * gline.h
 * Copyright (C) 1999 Patrick Alken
 *
 * $Id: gline.h,v 1.00 1999/08/21 14:04:51 wnder Exp $
 */

#ifdef ALLOW_GLINES

void AddGline(char *, char *, char *, long);
void DeleteGline(Gline *);

Gline *IsGline(char *, char *);
void CheckGlined(Luser *);

#ifdef HYBRID_GLINES
void ExecuteGline(char *, char *, char *);
#endif

void ExpireGlines(time_t);

struct GlineInfo
{
	struct GlineInfo *next, *prev;
	char   *username; /* username of gline */
	char   *hostname; /* hostname of gline */
	char   *reason; /* reason for Gline */
	char   *who; /* who made the gline */
	time_t expires; /* 0 if its not a temp gline */
};

#endif /* ALLOW_GLINES */
